This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 97795 - up2date unusable if root's $HOME is not /root
up2date unusable if root's $HOME is not /root
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-21 06:33 EDT by Joe Orton
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-24 20:11:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2003-06-21 06:33:00 EDT
On one system I had to move root's $HOME away from /root after / got near full.
This appears to break up2date, which continually prompts to add the GPG key to
the keyring, and fails to add it when requested.

/usr/share/rhn/up2date_client/gpgUtils.py 

has a hard-coded:

gpg_home_dir = "/root/.gnupg"

which should really be picked up from $HOME I would have thought.
Comment 1 Adrian Likins 2003-06-24 20:11:17 EDT
$HOME was often invalid in testing for various reasons (most related
to su/sudo/etc) so it was hardcoded. 
Comment 2 Joe Orton 2003-06-25 03:12:42 EDT
Picking it up from getpwuid(0)->pw_dir would be a reliable method.

Note You need to log in before you can comment on or make changes to this bug.